Imports BDNotasAlumnos
Imports System.ComponentModel

Class CProveedorDatosAlumno
  Private contextoDeObjs As bd_notasAlumnosEntities

  Public Sub New()
    '
    '       * #If ... #Endif: evitar el error que da el diseñador debido a que estamos estableciendo la conexión en el contructor
    '       * y el diseñador, al cargar el XAML, intenta crear una instancia e intenta leer la información de conexión del fichero de configuración,
    '       * pero durante el diseño, la aplicación es el propio Visual Studio (no la nuestra) y su fichero de configuración, obviamente,
    '       * no contiene esta información.
    '       

#If DEBUG Then
    If DesignerProperties.GetIsInDesignMode(New DependencyObject()) Then Return
#End If
    contextoDeObjs = New bd_notasAlumnosEntities()
  End Sub

  Public Function ObtenerAlumnos() As List(Of alumno)
#If DEBUG Then
    If DesignerProperties.GetIsInDesignMode(New DependencyObject()) Then Return Nothing
#End If
    ' Consulta LINQ 
    Dim alums =
      From alum In contextoDeObjs.alumnos
      Select alum
    Return alums.ToList()
  End Function
End Class
